import {
  LoggerFileHandler
} from "./chunk-IBW563EP.js";
import {
  LoggerNodeHandler
} from "./chunk-UD2GBO75.js";
import {
  toPath
} from "./chunk-YIU6EKNX.js";
import {
  _LoggerFromConfig
} from "./chunk-X4GLIIX5.js";
import {
  getGlobalLogger
} from "./chunk-HWZ7BV3F.js";
import {
  valueToBoolean
} from "./chunk-QUQRUDWG.js";

// src/node/log/log-context-node.ts
import process from "node:process";
function Logger(name, level) {
  return getGlobalLogger((context) => {
    const handlers = [
      LoggerNodeHandler({
        padding: 32,
        nameBrackets: false
        // levelHelper: false,
      })
    ];
    const logFilePath = process.env.ZEED_LOG ?? process.env.LOG;
    const time = valueToBoolean(process.env.ZEED_TIME, true);
    const pretty = valueToBoolean(process.env.ZEED_PRETTY, false);
    if (logFilePath)
      handlers.unshift(LoggerFileHandler(toPath(logFilePath), { time, pretty }));
    context.setHandlers(handlers);
  })(name, level);
}
function LoggerFromConfig(config, name, level) {
  return _LoggerFromConfig(Logger, config, name, level);
}

export {
  Logger,
  LoggerFromConfig
};
//# sourceMappingURL=chunk-LW2A6MYQ.js.map