"use strict";



var _chunkL2L6DYC5cjs = require('../chunk-L2L6DYC5.cjs');
require('../chunk-AG2W27IB.cjs');
require('../chunk-34JNCZI5.cjs');
require('../chunk-JQCYFPRP.cjs');
require('../chunk-QLIFS36C.cjs');
require('../chunk-T5M3Y7TR.cjs');
require('../chunk-HQ3VPPTJ.cjs');
require('../chunk-VDIMB54O.cjs');
require('../chunk-5G52PYZN.cjs');
require('../chunk-MNRWOH2Z.cjs');
require('../chunk-F2L2RVEN.cjs');
require('../chunk-LDWZJG7W.cjs');
require('../chunk-XTDX3HZA.cjs');
require('../chunk-ZWGCEINN.cjs');


var _chunkVDFTYDQMcjs = require('../chunk-VDFTYDQM.cjs');
require('../chunk-4B2XCWGL.cjs');
require('../chunk-KYR3LZJT.cjs');
require('../chunk-5CIFX7O6.cjs');
require('../chunk-IJRYLC3Q.cjs');
require('../chunk-ZVO7DM5W.cjs');
require('../chunk-A3RUUX3B.cjs');
require('../chunk-S4V3EGNS.cjs');
require('../chunk-Y6KPVUVD.cjs');
require('../chunk-J42M6DF3.cjs');
require('../chunk-N46W55MH.cjs');
require('../chunk-UKD65B23.cjs');
require('../chunk-SX5YQHZO.cjs');
require('../chunk-ZYPCVNSG.cjs');
require('../chunk-VFIICDKU.cjs');
require('../chunk-KMMN6P2X.cjs');
require('../chunk-PDXKNB3S.cjs');
require('../chunk-XR7AMYN7.cjs');
require('../chunk-B4JXPT6I.cjs');
require('../chunk-SLEHBFHV.cjs');
require('../chunk-KXWDOTVK.cjs');
require('../chunk-AGQV4BOO.cjs');
require('../chunk-LURLRIHI.cjs');
require('../chunk-67Q7IWIS.cjs');
require('../chunk-RLHQ6YHC.cjs');
require('../chunk-3IFQYDHV.cjs');
require('../chunk-ZGKV237Z.cjs');
require('../chunk-XHY6IC7T.cjs');
require('../chunk-N7OUNPMM.cjs');
require('../chunk-MPD2DJAD.cjs');
require('../chunk-YELWQAMG.cjs');
require('../chunk-7BEQHGH5.cjs');
require('../chunk-VAG3XY63.cjs');
require('../chunk-FEYF6QXS.cjs');
require('../chunk-SFVQNT7T.cjs');
require('../chunk-DRU33ZUG.cjs');
require('../chunk-Z4FNOCPD.cjs');
require('../chunk-GWXPD6I7.cjs');
require('../chunk-N5KTMDVO.cjs');
require('../chunk-B3U4FDQH.cjs');
require('../chunk-BOHPEXDM.cjs');
require('../chunk-6T6PI6XG.cjs');
require('../chunk-5BF2LEAU.cjs');
require('../chunk-RHWKNEUH.cjs');
require('../chunk-TUWUD5A6.cjs');
require('../chunk-CUGOCLWN.cjs');
require('../chunk-W3WUDQIC.cjs');
require('../chunk-QK5A4MK5.cjs');
require('../chunk-HHZVPIBD.cjs');
require('../chunk-YY4AHBBL.cjs');



var _chunkIMCDDJAJcjs = require('../chunk-IMCDDJAJ.cjs');

// src/common/dispose-utils.spec.ts
var _vitest = require('vitest');
describe("useTimeout", () => {
  it("should call the provided function after the specified timeout", () => {
    _vitest.vi.useFakeTimers();
    const mockFn = _vitest.vi.fn();
    const timeout = 1e3;
    _chunkL2L6DYC5cjs.useTimeout.call(void 0, mockFn, timeout);
    expect(mockFn).not.toBeCalled();
    _vitest.vi.advanceTimersByTime(timeout);
    expect(mockFn).toBeCalled();
  });
  it("should cancel the timeout when the disposer function is called", () => {
    _vitest.vi.useFakeTimers();
    const mockFn = _vitest.vi.fn();
    const timeout = 1e3;
    const disposer = _chunkL2L6DYC5cjs.useTimeout.call(void 0, mockFn, timeout);
    expect(mockFn).not.toBeCalled();
    disposer();
    _vitest.vi.advanceTimersByTime(timeout);
    expect(mockFn).not.toBeCalled();
  });
  it('should add event listener using "on" method if available', () => {
    const emitter = {
      on: _vitest.vi.fn(),
      off: _vitest.vi.fn()
    };
    const eventName = "click";
    const fn = _vitest.vi.fn();
    const args = [1, 2, 3];
    const disposer = _chunkL2L6DYC5cjs.useEventListener.call(void 0, emitter, eventName, fn, ...args);
    expect(emitter.on).toBeCalledWith(eventName, fn, ...args);
    expect(emitter.off).not.toBeCalled();
    disposer();
    expect(emitter.off).toBeCalledWith(eventName, fn, ...args);
  });
  it('should add event listener using "on" method if available using using', () => {
    const emitter = {
      on: _vitest.vi.fn(),
      off: _vitest.vi.fn()
    };
    const eventName = "click";
    const fn = _vitest.vi.fn();
    const args = [1, 2, 3];
    _chunkVDFTYDQMcjs.polyfillUsing.call(void 0, );
    function helper() {
      var _stack = [];
      try {
        const _ = _chunkIMCDDJAJcjs.__using.call(void 0, _stack, _chunkL2L6DYC5cjs.useEventListener.call(void 0, emitter, eventName, fn, ...args));
        expect(emitter.on).toBeCalledWith(eventName, fn, ...args);
        expect(emitter.off).not.toBeCalled();
      } catch (_2) {
        var _error = _2, _hasError = true;
      } finally {
        _chunkIMCDDJAJcjs.__callDispose.call(void 0, _stack, _error, _hasError);
      }
    }
    helper();
    expect(emitter.off).toBeCalledWith(eventName, fn, ...args);
  });
  it('should add event listener using "addEventListener" method if "on" method is not available', () => {
    const emitter = {
      addEventListener: _vitest.vi.fn(),
      removeEventListener: _vitest.vi.fn()
    };
    const eventName = "click";
    const fn = _vitest.vi.fn();
    const args = [1, 2, 3];
    const disposer = _chunkL2L6DYC5cjs.useEventListener.call(void 0, emitter, eventName, fn, ...args);
    expect(emitter.addEventListener).toBeCalledWith(eventName, fn, ...args);
    expect(emitter.removeEventListener).not.toBeCalled();
    disposer();
    expect(emitter.removeEventListener).toBeCalledWith(eventName, fn, ...args);
  });
  it("should return an empty disposer function if emitter is null", () => {
    const emitter = null;
    const eventName = "click";
    const fn = _vitest.vi.fn();
    const args = [1, 2, 3];
    const disposer = _chunkL2L6DYC5cjs.useEventListener.call(void 0, emitter, eventName, fn, ...args);
    expect(disposer).toEqual(expect.any(Function));
    disposer();
  });
  it("should add timeout disposer to the dispose object", () => {
    _vitest.vi.useFakeTimers();
    const mockFn = _vitest.vi.fn();
    const timeout = 1e3;
    const dispose = _chunkL2L6DYC5cjs.useDisposeWithUtils.call(void 0, );
    dispose.timeout(mockFn, timeout);
    expect(mockFn).not.toBeCalled();
    _vitest.vi.advanceTimersByTime(timeout);
    expect(mockFn).toBeCalled();
  });
  it("should add interval disposer to the dispose object", () => {
    _vitest.vi.useFakeTimers();
    const mockFn = _vitest.vi.fn();
    const interval = 1e3;
    const dispose = _chunkL2L6DYC5cjs.useDisposeWithUtils.call(void 0, );
    dispose.interval(mockFn, interval);
    expect(mockFn).not.toBeCalled();
    _vitest.vi.advanceTimersByTime(interval);
    expect(mockFn).toBeCalled();
  });
  it('should add event listener disposer to the dispose object using "on" method', async () => {
    const emitter = {
      on: _vitest.vi.fn(),
      off: _vitest.vi.fn()
    };
    const eventName = "click";
    const fn = _vitest.vi.fn();
    const args = [1, 2, 3];
    const dispose = _chunkL2L6DYC5cjs.useDisposeWithUtils.call(void 0, );
    dispose.on(emitter, eventName, fn, ...args);
    expect(emitter.on).toBeCalledWith(eventName, fn, ...args);
    expect(emitter.off).not.toBeCalled();
    await dispose.dispose();
    expect(emitter.off).toBeCalledWith(eventName, fn, ...args);
  });
  it('should add event listener disposer to the dispose object using "addEventListener" method', async () => {
    const emitter = {
      addEventListener: _vitest.vi.fn(),
      removeEventListener: _vitest.vi.fn()
    };
    const eventName = "click";
    const fn = _vitest.vi.fn();
    const args = [1, 2, 3];
    const dispose = _chunkL2L6DYC5cjs.useDisposeWithUtils.call(void 0, );
    dispose.on(emitter, eventName, fn, ...args);
    expect(emitter.addEventListener).toBeCalledWith(eventName, fn, ...args);
    expect(emitter.removeEventListener).not.toBeCalled();
    await dispose.dispose();
    expect(emitter.removeEventListener).toBeCalledWith(eventName, fn, ...args);
  });
  it("should return an empty disposer function if emitter is null 2", () => {
    const emitter = null;
    const eventName = "click";
    const fn = _vitest.vi.fn();
    const args = [1, 2, 3];
    const dispose = _chunkL2L6DYC5cjs.useDisposeWithUtils.call(void 0, );
    const disposer = dispose.on(emitter, eventName, fn, ...args);
    expect(disposer).toEqual(expect.any(Function));
    disposer();
  });
});
//# sourceMappingURL=dispose-utils.spec.cjs.map