"use strict";

var _chunkKYR3LZJTcjs = require('../../chunk-KYR3LZJT.cjs');


var _chunkZVO7DM5Wcjs = require('../../chunk-ZVO7DM5W.cjs');
require('../../chunk-A3RUUX3B.cjs');
require('../../chunk-Y6KPVUVD.cjs');


var _chunkJ42M6DF3cjs = require('../../chunk-J42M6DF3.cjs');
require('../../chunk-UKD65B23.cjs');
require('../../chunk-SX5YQHZO.cjs');
require('../../chunk-ZYPCVNSG.cjs');
require('../../chunk-VFIICDKU.cjs');
require('../../chunk-KMMN6P2X.cjs');
require('../../chunk-PDXKNB3S.cjs');
require('../../chunk-XR7AMYN7.cjs');
require('../../chunk-B4JXPT6I.cjs');
require('../../chunk-SLEHBFHV.cjs');
require('../../chunk-KXWDOTVK.cjs');
require('../../chunk-AGQV4BOO.cjs');
require('../../chunk-LURLRIHI.cjs');
require('../../chunk-67Q7IWIS.cjs');
require('../../chunk-RLHQ6YHC.cjs');
require('../../chunk-3IFQYDHV.cjs');
require('../../chunk-ZGKV237Z.cjs');
require('../../chunk-XHY6IC7T.cjs');
require('../../chunk-N7OUNPMM.cjs');
require('../../chunk-MPD2DJAD.cjs');
require('../../chunk-YELWQAMG.cjs');
require('../../chunk-7BEQHGH5.cjs');
require('../../chunk-VAG3XY63.cjs');
require('../../chunk-FEYF6QXS.cjs');
require('../../chunk-SFVQNT7T.cjs');
require('../../chunk-DRU33ZUG.cjs');
require('../../chunk-Z4FNOCPD.cjs');
require('../../chunk-GWXPD6I7.cjs');
require('../../chunk-N5KTMDVO.cjs');
require('../../chunk-B3U4FDQH.cjs');
require('../../chunk-BOHPEXDM.cjs');
require('../../chunk-6T6PI6XG.cjs');
require('../../chunk-5BF2LEAU.cjs');
require('../../chunk-RHWKNEUH.cjs');
require('../../chunk-TUWUD5A6.cjs');
require('../../chunk-CUGOCLWN.cjs');
require('../../chunk-W3WUDQIC.cjs');
require('../../chunk-QK5A4MK5.cjs');
require('../../chunk-HHZVPIBD.cjs');
require('../../chunk-YY4AHBBL.cjs');
require('../../chunk-IMCDDJAJ.cjs');

// src/common/log/log-memory.spec.ts
describe("log-memory", () => {
  it("should log into memory", async () => {
    const messages = [];
    const logger = _chunkZVO7DM5Wcjs.LoggerContext.call(void 0, );
    logger.setHandlers([
      _chunkKYR3LZJTcjs.LoggerMemoryHandler.call(void 0, {
        level: _chunkJ42M6DF3cjs.LogLevelAll,
        filter: "*",
        messages
      })
    ]);
    const log = logger("test");
    log("Simple");
    log.debug("Hello");
    log.info("World");
    log.warn("is on");
    log.error("Fire");
    try {
      log.assert(false, "Fatal");
    } catch (err) {
    }
    expect(messages.map((msg) => {
      delete msg.timestamp;
      return msg;
    })).toMatchInlineSnapshot(`
      Array [
        Object {
          "level": 0,
          "messages": Array [
            "Simple",
          ],
          "name": "test",
        },
        Object {
          "level": 0,
          "messages": Array [
            "Hello",
          ],
          "name": "test",
        },
        Object {
          "level": 1,
          "messages": Array [
            "World",
          ],
          "name": "test",
        },
        Object {
          "level": 2,
          "messages": Array [
            "is on",
          ],
          "name": "test",
        },
        Object {
          "level": 3,
          "messages": Array [
            "Fire",
          ],
          "name": "test",
        },
        Object {
          "level": 4,
          "messages": Array [
            "Fatal",
          ],
          "name": "test",
        },
      ]
    `);
  });
});
//# sourceMappingURL=log-memory.spec.cjs.map